##
##  vdx.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2020 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_vdx      0.0.5
%define       V_vdx_snap 20201025

#   package information
Name:         vdx
Summary:      FFmpeg Convenient CLI Wrapper
URL:          https://github.com/yuanqing/vdx
Vendor:       Dr. Ralf S. Engelschall
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Video
License:      MIT
Version:      %{V_vdx}
Release:      20201025

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/vdx/vdx-%{V_vdx}-%{V_vdx_snap}.tar.gz
Source1:      vdx.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node, ffmpeg

%description
    vdx(1) is an intuitive CLI for processing video, powered by
    ffmpeg(1). it can crop, trim, resize, reverse, rotate, strip audio,
    change the speed, change the frame rate, change the volume, convert
    to a different file format.

%track
    prog vdx = {
        version   = %{V_vdx}-%{V_vdx_snap}
        url       = http://download.openpkg.org/components/versioned/vdx/
        regex     = vdx-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze -n "default:safe"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/vdx
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE vdx.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/vdx
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/vdx/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

